- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-run-parts.cc File Reference

`#include <config.h>`
`#include "sbuild-dirstream.h"`
`#include "sbuild-run-parts.h"`
`#include "sbuild-util.h"`
`#include <cerrno>`
`#include <sys/wait.h>`
`#include <boost/format.hpp>`
`#include <boost/regex.hpp>`

Include dependency graph for sbuild-run-parts.cc:

## Typedefs
typedef std::pair< sbuild::run_parts::error_code, const char * > | emap
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<sbuild::run_parts::error_code,const char *> emap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {
          emap(run_parts::CHILD_FORK, N_("Failed to fork child")),
          emap(run_parts::CHILD_WAIT, N_("Wait for child failed")),

          emap(run_parts::EXEC,       N_("Failed to execute '%1%'"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.